%define upstream_name    Catalyst-Plugin-Session-State-Cookie
%define abbrev_name      Catalyst-P-S-State-Cookie
%define upstream_version 0.17

Name:       perl-%{abbrev_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

License:    Artistic/GPL
Summary:    Cookie-based session plugin for Catalyst
Group:      Development/Perl
URL:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(Catalyst::Plugin::Session) >= 0.06
BuildRequires:	perl(inc::Module::Install)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::MockObject) >= 1.01
Provides:	perl-%{upstream_name}
Obsoletes:	perl-%{upstream_name}
BuildArch:	noarch


%description
In order for Catalyst::Plugin::Session to work the session ID needs to be
stored on the client, and the session data needs to be stored on the server.
This plugin stores the session ID on the client using the cookie mechanism.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%__make

%check
%__make test

%install
%make_install

%files
%doc README META.yml
%{perl_vendorlib}/Catalyst
%{_mandir}/*/*



%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.170.0-11.mga9
+ Revision: 1808460
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.170.0-10.mga8
+ Revision: 1503527
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.170.0-9.mga7
+ Revision: 1282171
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.170.0-8.mga7
+ Revision: 1167762
- BR perl(inc::Module::Install)

* Sat Jun 18 2016 pterjan <pterjan> 0.170.0-7.mga6
+ Revision: 1023398
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.170.0-6.mga6
+ Revision: 944875
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.170.0-5.mga5
+ Revision: 740799
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.170.0-3.mga4
+ Revision: 509673
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.170.0-2.mga3
+ Revision: 363928
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.170.0-1.mga1
+ Revision: 41010
- mageia rebuild
- imported package perl-Catalyst-P-S-State-Cookie

